> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Time Off Requests Count

Get the total count of time off requests for the current filters.


## OpenAPI

````yaml /openapi.json get /v1/time-off/requests/count
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/time-off/requests/count:
    get:
      summary: ' Get Time Off Requests Count'
      operationId: v1_time-off_requests_count_getTimeOffRequestsCount
      parameters:
        - schema:
            type: string
            format: uuid
            description: Filter to requests for a specific provider.
          required: false
          description: Filter to requests for a specific provider.
          name: providerId
          in: query
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
            description: Filter to requests for providers in specific teams.
          required: false
          description: Filter to requests for providers in specific teams.
          name: teamId
          in: query
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
            description: Filter to requests for specific policies.
          required: false
          description: Filter to requests for specific policies.
          name: policyId
          in: query
        - schema:
            type: string
            description: >-
              Filter to requests whose start date is on or after the given
              timestamp.
            example: 2024-11-20T07:43:34+0000
          required: false
          description: >-
            Filter to requests whose start date is on or after the given
            timestamp.
          name: startDate
          in: query
        - schema:
            type: string
            description: >-
              Filter to requests whose end date is earlier than the provided
              timestamp.
            example: 2024-11-20T07:43:34+0000
          required: false
          description: >-
            Filter to requests whose end date is earlier than the provided
            timestamp.
          name: endDate
          in: query
        - schema:
            $ref: '#/components/schemas/TimeOffRequestStatus'
          required: false
          name: status
          in: query
        - schema:
            type: string
          required: false
          name: query
          in: query
        - schema:
            type: string
            description: >-
              Available expansions: `policy`, `provider`, `rejectedBy`


              See [Query Parameters](/using-the-api/query-parameters) for more
              information on expansions.
            alias: never
          required: false
          description: >-
            Available expansions: `policy`, `provider`, `rejectedBy`


            See [Query Parameters](/using-the-api/query-parameters) for more
            information on expansions.
          name: expand
          in: query
        - schema:
            type: string
            description: >-
              Available fields: `createdAt`, `startDate`


              See [Query Parameters](/using-the-api/query-parameters) for more
              information on sorting.
            alias: never
          required: false
          description: >-
            Available fields: `createdAt`, `startDate`


            See [Query Parameters](/using-the-api/query-parameters) for more
            information on sorting.
          name: sort
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeOffRequestsCountResponse'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#negative-range
                          title:
                            type: string
                            example: Time range end date must come after start date.
                        required:
                          - type
                          - title
                    title: Negative Range
components:
  schemas:
    TimeOffRequestStatus:
      type: string
      enum:
        - pending
        - approved
        - rejected
        - cancelled
        - pending_sync
        - sync_failed
      x-fern-enum:
        pending: {}
        approved: {}
        rejected: {}
        cancelled: {}
        pending_sync: {}
        sync_failed: {}
      example: approved
      x-speakeasy-group: v1.time-off
    TimeOffRequestsCountResponse:
      type: object
      properties:
        count:
          type: number
      required:
        - count
      id: TimeOffRequestsCountResponse
      x-speakeasy-group: v1.time-off
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````